import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { AuthGuard,FullScreenGuard } from '@farmmaps/common';
import { MapComponent} from '@farmmaps/common-map';
import { AppContentComponent} from './app-content.component';
import { AppSidePanelTestComponent } from './app-side-panel-test.component';

const routes = [
  {
    path: '',
    redirectTo: 'map',
    pathMatch: 'full'
  },
  { path: 'sidepanel', canLoad: [AuthGuard], component: AppSidePanelTestComponent},
  { path: 'map', canActivateChild: [AuthGuard],canActivate:[FullScreenGuard], children: [
    {
        path: '',
        component: MapComponent
    },
    {
        path: ':xCenter/:yCenter/:zoom/:rotation/:baseLayer/:queryState',
        component: MapComponent
    }
   ]},  
];

@NgModule({
  imports: [RouterModule.forRoot(routes,
    { initialNavigation: false })], // ,  enableTracing: true
  exports: [RouterModule]
})
export class AppRoutingModule { }
